// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package errors

import (
	"google.golang.org/grpc/status"
)

var (
	// 通用错误
	SystemError  = status.Error(10001, "系统错误")
	ServiceError = status.Error(10002, "内部服务错误")
	ParamsError  = status.Error(10003, "参数错误")

	BrandNotExistError = status.Error(11001, "品牌不存在")
	CycleError         = status.Error(11002, "新增数据里程间隔周期无法匹配")

	FieldNotExistError = status.Error(11003, "字段不存在")
	DataNotExistError  = status.Error(11004, "数据不存在")
	InterfaceNoExistError = status.Error(11005, "接口不存在")
)
